Bug 135547 - "Your system is fully updated" but updates available
"Your system is fully updated" but updates available
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
:
Depends On:
Blocks: FC3Target FC4Target
  Show dependency treegraph
 
Reported: 2004-10-13 08:47 EDT by Andrew
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-22 11:23:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Last entries in /var/log/up2date (1.98 KB, text/plain)
2004-10-13 08:49 EDT, Andrew
no flags Details

  None (edit)
Description Andrew 2004-10-13 08:47:13 EDT
Description of problem:
up2date states "Your system is fully updated. No new packages are
needed." but Red Hat Network Alert Icon indicates that updates are
available.

Version-Release number of selected component (if applicable):
rhnlib-1.8-6.p23.fc3
rhn-applet-2.1.11-1
up2date-gnome-4.3.40-1
up2date-4.3.40-1

How reproducible:
Seems to be only when RawHide is being updated frequently, as during
development of Fedora Core 3 Test 3 - Fedora Core 3 Final

Steps to Reproduce:
1. Run Red Hat Network Alert Icon from System Tools
2. Right click and select Check for updates
3. Right click and select Launch up2date
4. Proceed to Channels dialog and click Forward
  
Actual results:
Headers are downloaded, message is displayed "Your system is fully
updated. No new packages are needed."

Expected results:
List of packages to be upgraded, or package exceptions screen.

Additional info:
The Red Hat Network Alert Icon seems to disappear (crash?) from the
panel after some time.  It seems to coincide with when there are
updates available (crashes overnight, so I can't confirm).
Comment 1 Andrew 2004-10-13 08:49:21 EDT
Created attachment 105142 [details]
Last entries in /var/log/up2date
Comment 2 Andrew 2004-10-13 15:29:09 EDT
Up to a couple minutes ago I was getting the same "fully updated"
message described above.  I have noticed (yesterday as well) that if I
wait some hours and do in /var/spool/up2date

# rm -rf fedora-core-rawhide*

that it seems to 'jumpstart' the process, and it proceeds to
downloading the individual package headers.
Comment 3 Andrew Jackson 2005-03-05 04:35:20 EST
I have also been getting this same problem however the packages are
random (most recently firefox) I removed firefox-1.0-2.fc3.i386.hdr
from /var/spool/up2date and it kicked off the updates.  Not sure if I
should have removed that file but it certainly did the trick.
Comment 4 John Thacker 2006-04-22 11:23:59 EDT
up2date is no longer shipped with Fedora Core; it's functionality 
has been replaced by pup, found in the pirut package.  The only fixes 
likely to be made to up2date in RedHat Linux and earlier Fedora Core 
versions are security fixes by Fedora Legacy.  This does not seem to 
be a security bug, so I'm closing it.

If the problem is appropriate to RHEL and occurs to a user there, it 
can be filed as such.

Note You need to log in before you can comment on or make changes to this bug.